Update DTrace probes description in Wiki

12/18/2012 01:34 AM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee: tenderlovemaking (Aaron Patterson)   

Target version:    

ruby -v: ruby 2.0.0dev (2012-12-17 trunk 38422)

[x86_64-linux]

Backport:  

Description

The wiki [1] seems to be outdated. There are missing several probes descriptions, as discussed in [ruby-core:46870]

[1] http://bugs.ruby-lang.org/projects/ruby/wiki/DTraceProbes

History

#1 - 12/20/2012 11:26 PM - vo.x (Vit Ondruch)

I put together this [1] SystemTap file, which contains description of all parameters (please note that it will be merged into master soon). It could be

used as a source for update of wiki.

Actually the best what could happen would be if Ruby could ship this file in its source distribution. This would help Fedora as well as other

distributions, which are distributed with SystemTap. Unfortunately I don't know yet how to best integrate it into Ruby's build process, so I'll create

independent issue in the future.

[1] http://pkgs.fedoraproject.org/cgit/ruby.git/tree/libruby.stp?h=ruby-2.0

#2 - 12/21/2012 10:25 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

#3 - 07/11/2013 03:23 AM - tenderlovemaking (Aaron Patterson)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

I've updated the wiki and added a script that will generate wiki format from the probes file.  It looks like there is a script for generating system tap

probes already under tool, so I'll close this.  If we need more system tap stuff, please open a new ticket.

Thanks!

#4 - 07/11/2013 05:23 AM - vo.x (Vit Ondruch)

tenderlovemaking (Aaron Patterson) wrote:

I've updated the wiki and added a script that will generate wiki format from the probes file.

 Thanks

It looks like there is a script for generating system tap probes already under tool, so I'll close this.

 Wow, I was not aware of this tool. I need to look at it and thank to Motohiro :)
